// cGameInfoList.h: interface for the cGameInfoList class.
//
//////////////////////////////////////////////////////////////////////

#ifndef cGameInfoList_H
#define cGameInfoList_H

#include "cGameInfo.h"

class cGameInfoList{
private:
protected:
	char *FolderName;
	HANDLE hFindFile;
	cGameInfo GameInfo;
	bool Exist;

public:
	cGameInfoList();
//	cGameInfoList(char *_FolderName);
	virtual ~cGameInfoList();

	bool Open(char *_FolderName);
	void Close();

	bool FindFirst();
	bool FindNext();
	void EndFind();
	bool IsExist();
	bool GetItem(cGameInfo &pgi);

	bool Add(cGameInfo &gi);
	bool Erase(cGameInfo &gi);
};

#endif
